apiVersion: apps/v1
kind: Deployment
metadata:
  name: zulip-bots
  labels:
    app: zulip-bots
spec:
  replicas: 1
  selector:
    matchLabels:
      app: zulip-bots
  template:
    metadata:
      labels:
        app: zulip-bots
    spec:
      containers:
      - name: giphy-bot
        image: gcr.io/xand-dev/zulip-bots:latest
        command: ["zulip-run-bot"]
        args: ["giphy", "--config-file", "/secrets/giphy-zuliprc", "--bot-config-file", "/secrets/giphy.conf"]
        volumeMounts:
          - name: giphy-bot
            mountPath: /secrets/
        resources:
          limits:
            cpu: 10m
            memory: 256Mi
      volumes:
      - name: giphy-bot
        secret:
          secretName: giphy-bot
